#include <stdio.h>

int lerValorDeK() {
    int k;
    printf("Indique K: ");
    scanf("%d", &k);
    return k;
}

// Função para validar se K está no intervalo correto
int validarIntervaloK(int k) {
    return (k >= 2 && k <= 100);
}

// Função para imprimir erro se K for inválido
void imprimirErroKInvalido() {
    printf("K tem de ser entre 2 e 100.");
}

// Função para calcular e mostrar a sequência inicial
void mostrarSequenciaInicial(int k) {
    int valor = k / 2; // Dividir K por 2, arredondando para baixo se necessário
    printf("Sequencia: %d %d", valor, valor);
}

int main() {
    int k = lerValorDeK();

    // Validar o valor de K
    if (!validarIntervaloK(k)) {
        imprimirErroKInvalido();
        return 0;
    }

    // Mostrar a sequência inicial
    mostrarSequenciaInicial(k);

    return 0;
}